Package org.eclipse.emf.cdo.common.id

## Interface CDOIdentifiable

- All Known Subinterfaces:
    `CDOIDAndBranch`, `CDOIDAndVersion`, `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `CDORevisionKey`, `InternalCDORevision`, `InternalCDORevisionDelta`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDOIdentifiable

  An identifiable object.
  Since:
    4.3
  Author:
    Eike Stepper
  See Also:
    `CDOIDUtil.getCDOID(Object)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `getID()` |

- - ### Method Detail

    - #### getID

          CDOID getID()